﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using BC.NetCore21BarcodeGeneratorTrial.All;

namespace BC.NetCore21BarcodeGeneratorTrial.All.Demo
{
    class Program
    {
        static void Main(string[] args)
        {
            GenerateCode39();
            //GeneratePdf417();
        }

        public static void GenerateCode39()
        {
            All1D barcode = new All1D();
            barcode.SetType = LinearType.Code39;
            barcode.SetData = "WWW.BARCODEBC.COM";
            barcode.SetUOM = UnitofMeasurement.Cm;
            barcode.StartStopCharsVisible = false;
            barcode.ApplyCheckDigit = false;           
            barcode.SetDPI = 10;           
            barcode.SetWidetoNarrowXRatio = 2;
            barcode.AutoSize = false;
            barcode.SetColor = System.Drawing.Color.Black;
            barcode.TextColor = System.Drawing.Color.Red;
            barcode.SetFont = new Font("Arial", 20f, FontStyle.Bold);
            barcode.SetTextVisible = true;
            barcode.SetX = 1;
            barcode.SetY = 60;
            barcode.SetLeftSpace = 5;
            barcode.SetRightSpace = 5;
            barcode.SetTopSpace = 5;
            barcode.SetBottomSpace = 5;
            barcode.SetWidth = 30;
            barcode.SetHeight = 10;
            //barcode.SetImageFormat = System.Drawing.Imaging.ImageFormat.Png;
            String Picture = "F://test.png";
            barcode.GenerateBarcode(Picture);
        }

        public static void GeneratePdf417()
        {
            Pdf417 barcode = new Pdf417();
            barcode.SetData = "WWW.BARCODEBC.COM";
            barcode.SetEncodingMode = Pdf417EncodingMode.Auto;
            barcode.SetRows = 20;
            barcode.SetColumns = 20;
            barcode.SetX = 5;
            //barcode.SetImageFormat = System.Drawing.Imaging.ImageFormat.Png;
            String Picture = "F://test1.png";
            barcode.GenerateBarcode(Picture);
        }
    }
}
